.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}


.row-header{
  margin:0px auto;
  padding: 0px;
}

.row-content {
  margin:0px auto;
  padding: 50px 0px 50px 0px;
  border-bottom: 1px ridge;
  min-height:400px;
}

.footer{
  background-color: #D1C4E9;
  /*margin:0px auto;*/
  margin-top: 64px;
  padding: 20px 0px 20px 0px;
}
.jumbotron {
  padding: 70px 30px 70px 30px;
  margin: 0px 0px 64px 0px;
  background: #9575CD ;
  color:floralwhite;
}

address{
  font-size:80%;
  margin:0px;
  color:#0f0f0f;
}

.navbar-dark {
  background-color: #512DA8;
}

.page-enter {
  opacity: 0.01;
  transform: translateX(-100%);
}

.page-enter-active {
  opacity: 1;
  transform: translateX(0%);
  transition: all 300ms ease-in;
}


/* TODO: FIXME: the page exit needs to correctly position itself, it  currently looks bad because it styles break */
.page-exit {
  opacity: 1;
  transform: translateX(0%);
}

.page-exit-active {
  opacity: 0.01;
  transform: translateX(100%);
  transition: all 300ms ease-out;
}

.placeholder-card {
  height: 400px;
}

.placeholder-item {
  /*box-shadow: 0 4px 10px 0 rgba(33, 33, 33, 0.15);*/
  border-radius: 4px;
  position: relative;
  overflow: hidden;
  /*background: #e2e7ed;*/
  background: #ddd2ef;
  border: none;
}

.placeholder-item::before {
  content: '';
  /*display: block;*/
  position: absolute;
  /*!*left: -80%;*!*/
  /*!*top: 0;*!*/
  /*height: 100%;*/
  /*width: 100%;*/
  /*background: linear-gradient(135deg, transparent 0%, #fefefd 50%, transparent 100%);*/
  /*!*animation: load 1s cubic-bezier(0.4, 0.0, 0.2, 1) infinite;*!*/
  /*left: -100%;*/
  /*top: -100%;*/
  width: 100%;
  height: 100%;
  background-image:
    repeating-linear-gradient(
            135deg,
            transparent,
            transparent 50%,
            #ffffff40 50%,
            #ffffff40 100%
    );
  background-size: 200% 200%;
  background-position: 100% 100%;
  animation: barberpole 2s ease-in-out infinite;
}

@keyframes barberpole {
  80% {
    background-position: 100% 100%;
  }
  100% {
    background-position: 0% 0%;
  }
}


@keyframes load {
  from {
    left: -150px;
  }
  to   {
    left: 100%;
  }
}

.dish-title {
  margin: -16px;
  background: #9575cc;
  color: white;
}